Misc

Get current user, organization, and badge counts

Get current user, organization, and badge counts.

GET
/me

Get current user, organization, and badge counts.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/me"
{  "company": {    "id": "string",    "owner_id": "string",    "company": "string",    "slug": "string",    "options": {},    "permissions": {},    "domain": {      "id": "string",      "domain": "string",      "config": {},      "authorized": true,      "extra": {},      "organization_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  },  "user": {    "id": "string",    "name": "string",    "first_name": "string",    "last_name": "string",    "email": "[email protected]",    "phone": "string",    "job_title": "string",    "avatar": "http://example.com",    "role": "Account Owner",    "presence": "online",    "timezone": "string",    "time_format": "string",    "active_organization_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "extra": {      "password_reset_required": true,      "notification_preferences": {},      "firebase_notification_preferences": {},      "mobile_notification_preferences": {},      "auto_advance_ticket_enabled": true,      "undo_send_enabled": true,      "undo_send_delay": 0    }  },  "inboxes": [    "string"  ],  "organizations": [    {      "id": "string",      "company": "string",      "slug": "string",      "owner_id": "string",      "assigned_tickets_count": 0    }  ],  "onboarding": {},  "had_onboarding_survey": true,  "badge_count": 0}